classification
Title: Deprecate trace module undocumented API
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.2
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: belopolsky Nosy List: belopolsky, brett.cannon, eli.bendersky, terry.reedy
Priority: normal Keywords: patch

Created on 2010-11-09 02:32 by belopolsky, last changed 2010-11-20 18:21 by belopolsky. This issue is now closed.

Files
File name Uploaded Description Edit
trace-deprecations.diff belopolsky, 2010-11-09 02:32
Messages (4)
msg120833 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2010-11-09 02:32
Following python-dev discussion on the issue, I would like to propose trace-deprecations.diff patch for review.

I would like to make these changes before turning to issue10342 which will require changing many of these APIs that take a source path to take a module object (or possibly a loader).

Note that CoverageResults presents an interesting case of a class that does not need to be public, but its methods, particularly write_results() need to be documented.
msg120886 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-11-09 18:17
Looks good in a cursory reading. I presume trace test still passes.

If you change the signature of the renamed functions, that would break the current wrappings. Would you use new private functions with different names, or change the wrappings where possible?
msg121028 - (view) Author: Eli Bendersky (eli.bendersky) * (Python committer) Date: 2010-11-12 09:17
Alexander, http://bugs.python.org/file19553/trace-deprecations.diff looks good to me
msg121704 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2010-11-20 18:21
Committed in revision 86594.
History
Date User Action Args
2010-11-20 18:21:51belopolskysetstatus: open -> closed
resolution: accepted
messages: + msg121704

stage: patch review -> resolved
2010-11-12 09:17:37eli.benderskysetmessages: + msg121028
2010-11-09 18:17:48terry.reedysetmessages: + msg120886
2010-11-09 17:25:30belopolskysetnosy: + brett.cannon, terry.reedy, eli.bendersky
2010-11-09 03:30:10belopolskylinkissue10342 dependencies
2010-11-09 02:32:30belopolskycreate